NAND_CREATE_BADBLOCK(9)

NAME
nand_create_badblock_pattern - [INTERN] Creates a BBT descriptor structure

SYNOPSIS

int nand_create_badblock_pattern(struct nand_chip * this);

ARGUMENTS

this
    NAND chip to create descriptor for

DESCRIPTION

This function allocates and initializes a nand_bbt_descr for BBM detection based on the properties of this. The new descriptor is stored in this->badblock_pattern. Thus, this->badblock_pattern should be NULL when passed to this function.

AUTHOR

Thomas Gleixner <tglx@linutronix.de>
    Author.

COPYRIGHT